Debian Bug report logs - #508697
python-evas: Cannot dpkg-buildpackage: Error converting Pyrex file to C:

version graph

Package: python-evas; Maintainer for python-evas is (unknown);

Reported by: Gyelt Tuinstra <gt@ergoarte.ch>

Date: Sun, 14 Dec 2008 10:42:01 UTC

Severity: important

Found in version python-evas/0.2.1-2

Fixed in version 0.3.1+svn20090515-1

Done: Albin Tonnerre <albin.tonnerre@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>:
Bug#508697; Package python-evas. (Sun, 14 Dec 2008 10:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gyelt Tuinstra <gt@ergoarte.ch>:
New Bug report received and forwarded. Copy sent to Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>. (Sun, 14 Dec 2008 10:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Gyelt Tuinstra <gt@ergoarte.ch>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: python-evas: Cannot dpkg-buildpackage: Error converting Pyrex file to C:
Date: Sun, 14 Dec 2008 11:17:21 +0100
Package: python-evas
Version: 0.2.1-2
Severity: important



-- System Information:
Debian Release: 5.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: armel (armv4tl)

Kernel: Linux 2.6.24-20081103.git7172ec57 (PREEMPT)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Versions of packages python-evas depends on:
ii  libc6                        2.7-16      GNU C Library: Shared libraries
ii  libevas0                     0.9.9.050-2 Enlightenment DR17 advanced canvas
ii  python                       2.5.2-3     An interactive high-level object-o
ii  python-support               0.8.7       automated rebuilding support for P

python-evas recommends no packages.

python-evas suggests no packages.

-- no debconf information

-- Desciption

Python-evas is essential for Zhone, which is essential for using the Openmoko Freerunner as a phone. Perhaps because of version mismatches, evas in the above configuration is unusable and python-evas cannot be rebuild locally.
I'll be happy to supply more information or run tests.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>:
Bug#508697; Package python-evas. (Sun, 14 Dec 2008 17:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>. (Sun, 14 Dec 2008 17:00:03 GMT) Full text and rfc822 format available.

Message #10 received at 508697@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: smartphones-userland@linuxtogo.org
Cc: 508697@bugs.debian.org
Subject: Re: [Debian][Zhone] Fresh install gives SystemError
Date: Sun, 14 Dec 2008 16:58:50 +0000
[Message part 1 (text/plain, inline)]
Hi,

Am Sonntag, den 14.12.2008, 16:24 +0100 schrieb gt@ergoarte.ch:
> > wget cyta hon_0.9.6.13.1
> > dpkg -i  ,,
> > debian-gta02:python-evas-0.2.1# dpkg-buildpackage -rfakeroot -b
> > 
> > Works! At least the cythoning part.
> > 
> > Still compiling (feels like old times: used to drink lots of coffee
> > between programming steps ;-)
> > Getting some errors from gcc like:
> > evas/evas.c_evas.c:34827: warning: passing argument 2 of
> > 'evas_object_image_file_get' from incompatible pointer type
> > which is perhaps not serious.
> > 
> > Stay tuned...
> > 
> Yes, after installing the newly-build python-evas package, zhone runs.
> 
> Thanks for helping

Thanks for testing. So, to summarize, python-evas has to be re-built for
zhone to be working again, and to be re-built, the old cython version
has to be used?

I guess, as a short-term solution, I should build python-evas like this
and upload it to the pkg-fso repository.

I have heard that a newer release/snapshot of python-evas will work with
the new cython. The source is in
http://trac.enlightenment.org/e/browser/trunk/BINDINGS/python/python-evas
and the commit commends indicate that it works better with cython now.
The setup.py says that the latest version is 0.3.1. Albin, would you
mind adding this to your TODO? I’ll sponsor it :-)

Greetings,
Joachim

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>:
Bug#508697; Package python-evas. (Sat, 20 Dec 2008 16:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Nikita V. Youshchenko" <yoush@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>. (Sat, 20 Dec 2008 16:21:02 GMT) Full text and rfc822 format available.

Message #15 received at 508697@bugs.debian.org (full text, mbox):

From: "Nikita V. Youshchenko" <yoush@debian.org>
To: smartphones-userland@linuxtogo.org
Cc: Joachim Breitner <nomeata@debian.org>, 508697@bugs.debian.org
Subject: Re: [Debian][Zhone] Fresh install gives SystemError
Date: Sat, 20 Dec 2008 19:17:23 +0300
[Message part 1 (text/plain, inline)]
> I have heard that a newer release/snapshot of python-evas will work with
> the new cython. The source is in
> http://trac.enlightenment.org/e/browser/trunk/BINDINGS/python/python-evas
> and the commit commends indicate that it works better with cython now. 
> The setup.py says that the latest version is 0.3.1. Albin, would you
> mind adding this to your TODO? I’ll sponsor it :-)

I wanted to look on this, and meanwile found an issue with git repo holding
debian packaging for pyton-evas:

nikita@blacky:~/openmoko/python-evas/package> git clone git://git.debian.org/pkg-e/proto/python-efl/python-evas.git
Initialized empty Git repository in /home/nikita/openmoko/python-evas/package/python-evas/.git/
fatal: The remote end hung up unexpectedly

nikita@blacky:~/openmoko/python-evas/package> git clone http://git.debian.org/git/pkg-e/proto/python-efl/python-evas.git
Initialized empty Git repository in /home/nikita/openmoko/python-evas/package/python-evas/.git/
warning: remote HEAD refers to nonexistent ref, unable to checkout.

Althowus repo may be browsed ok at
http://git.debian.org/?p=pkg-e/proto/python-efl/python-evas.git
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>:
Bug#508697; Package python-evas. (Sat, 20 Dec 2008 18:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Nikita V. Youshchenko" <yoush@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>. (Sat, 20 Dec 2008 18:54:03 GMT) Full text and rfc822 format available.

Message #20 received at 508697@bugs.debian.org (full text, mbox):

From: "Nikita V. Youshchenko" <yoush@debian.org>
To: smartphones-userland@linuxtogo.org
Cc: Joachim Breitner <nomeata@debian.org>, 508697@bugs.debian.org, pkg-e-devel@lists.alioth.debian.org
Subject: About updating python-evas package
Date: Sat, 20 Dec 2008 21:51:45 +0300
> I have heard that a newer release/snapshot of python-evas will work with
> the new cython. The source is in
> http://trac.enlightenment.org/e/browser/trunk/BINDINGS/python/python-eva
>s and the commit commends indicate that it works better with cython now.
> The setup.py says that the latest version is 0.3.1. 

Looks like that versions depends on eina library, that is not packaged for 
Debian yet.

And that dependency appeared in svn near commit 37310 in late October. 
Cython fixes have been committed later.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>:
Bug#508697; Package python-evas. (Sat, 20 Dec 2008 19:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Albin Tonnerre" <albin.tonnerre@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>. (Sat, 20 Dec 2008 19:54:02 GMT) Full text and rfc822 format available.

Message #25 received at 508697@bugs.debian.org (full text, mbox):

From: "Albin Tonnerre" <albin.tonnerre@gmail.com>
To: "Nikita V. Youshchenko" <yoush@debian.org>
Cc: smartphones-userland@linuxtogo.org, "Joachim Breitner" <nomeata@debian.org>, 508697@bugs.debian.org, pkg-e-devel@lists.alioth.debian.org
Subject: Re: [Pkg-e-devel] About updating python-evas package
Date: Sat, 20 Dec 2008 20:51:51 +0100
[Message part 1 (text/plain, inline)]
On Sat, Dec 20, 2008 at 7:51 PM, Nikita V. Youshchenko <yoush@debian.org>wrote:

> > I have heard that a newer release/snapshot of python-evas will work with
> > the new cython. The source is in
> > http://trac.enlightenment.org/e/browser/trunk/BINDINGS/python/python-eva
> >s and the commit commends indicate that it works better with cython now.
> > The setup.py says that the latest version is 0.3.1.
>
> Looks like that versions depends on eina library, that is not packaged for
> Debian yet.
>

Although it is packaged, it still requires sponsorship and getting through
NEW, so I guess that will need a bit of time.
You can see http://git.debian.org/?p=pkg-e/libs/eina.git;a=summary if you're
interested.

Regards,
Albin


>
> And that dependency appeared in svn near commit 37310 in late October.
> Cython fixes have been committed later.
>
> _______________________________________________
> Pkg-e-devel mailing list
> Pkg-e-devel@lists.alioth.debian.org
> http://lists.alioth.debian.org/mailman/listinfo/pkg-e-devel
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>:
Bug#508697; Package python-evas. (Sat, 20 Dec 2008 20:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Nikita V. Youshchenko" <yoush@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>. (Sat, 20 Dec 2008 20:57:02 GMT) Full text and rfc822 format available.

Message #30 received at 508697@bugs.debian.org (full text, mbox):

From: "Nikita V. Youshchenko" <yoush@debian.org>
To: "Albin Tonnerre" <albin.tonnerre@gmail.com>
Cc: smartphones-userland@linuxtogo.org, "Joachim Breitner" <nomeata@debian.org>, 508697@bugs.debian.org, pkg-e-devel@lists.alioth.debian.org
Subject: Re: [Pkg-e-devel] About updating python-evas package
Date: Sat, 20 Dec 2008 23:53:23 +0300
[Message part 1 (text/plain, inline)]
> On Sat, Dec 20, 2008 at 7:51 PM, Nikita V. Youshchenko 
<yoush@debian.org>wrote:
> > > I have heard that a newer release/snapshot of python-evas will work
> > > with the new cython. The source is in
> > > http://trac.enlightenment.org/e/browser/trunk/BINDINGS/python/python
> > >-eva s and the commit commends indicate that it works better with
> > > cython now. The setup.py says that the latest version is 0.3.1.
> >
> > Looks like that versions depends on eina library, that is not packaged
> > for Debian yet.
>
> Although it is packaged, it still requires sponsorship and getting
> through NEW, so I guess that will need a bit of time.
> You can see http://git.debian.org/?p=pkg-e/libs/eina.git;a=summary if
> you're interested.

I may sponsor the upload if you wish.

If you are interested, could you please comment on the following:

- why you decided to put version into libdev package name? I.e. why it is 
libeina-0.0.1a-dev and not libeina-dev? Is there really any value in 
supporting installations of several versions of -dev package at a time?
Btw you put headers into /usr/include/eina-0, and pkgconfig file is also 
called eina-0.pc. So you will have issues providing other libeina-0*-dev 
anyway...

- it may be a good idea to put a short note on what eina is into Abatract 
field of doc-base file - that abstract is shown in tools like dhelp near 
unrelated things, so being a bit verbose there is better

Nikita
[signature.asc (application/pgp-signature, inline)]

Reply sent to Albin Tonnerre <albin.tonnerre@gmail.com>:
You have taken responsibility. (Sat, 23 May 2009 10:18:05 GMT) Full text and rfc822 format available.

Notification sent to Gyelt Tuinstra <gt@ergoarte.ch>:
Bug acknowledged by developer. (Sat, 23 May 2009 10:18:05 GMT) Full text and rfc822 format available.

Message #35 received at 508697-done@bugs.debian.org (full text, mbox):

From: Albin Tonnerre <albin.tonnerre@gmail.com>
To: 508697-done@bugs.debian.org
Date: Sat, 23 May 2009 12:15:10 +0200
[Message part 1 (text/plain, inline)]
Version: 0.3.1+svn20090515-1

-- 
Albin Tonnerre
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 21 Jun 2009 07:32:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:40:15 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.